## org.eclipse.emf.ecore.util
Interface InternalEList.Unsettable<E>

All Superinterfaces:
  java.util.Collection<E>, EList<E>, InternalEList<E>, java.lang.Iterable<E>, java.util.List<E>

All Known Implementing Classes:
  BasicFeatureMap, DelegatingEcoreEList, DelegatingEcoreEList.Dynamic, DelegatingEcoreEList.Generic, DelegatingEcoreEList.UnmodifiableEList, DelegatingEcoreEList.Unsettable, DelegatingFeatureMap, EcoreEList, EcoreEList.Dynamic, EcoreEList.Generic, EcoreEList.UnmodifiableEList, EcoreEList.UnmodifiableEList.FastCompare, EcoreEMap, EcoreEMap.DelegateEObjectContainmentEList, EcoreEMap.Unsettable, EcoreEMap.Unsettable.UnsettableDelegateEObjectContainmentEList, EDataTypeEList, EDataTypeEList.Unsettable, EDataTypeUniqueEList, EDataTypeUniqueEList.Unsettable, EObjectContainmentEList, EObjectContainmentEList.Resolving, EObjectContainmentEList.Unsettable, EObjectContainmentEList.Unsettable.Resolving, EObjectContainmentWithInverseEList, EObjectContainmentWithInverseEList.Resolving, EObjectContainmentWithInverseEList.Unsettable, EObjectContainmentWithInverseEList.Unsettable.Resolving, EObjectEList, EObjectEList.Unsettable, EObjectResolvingEList, EObjectResolvingEList.Unsettable, EObjectWithInverseEList, EObjectWithInverseEList.ManyInverse, EObjectWithInverseEList.Unsettable, EObjectWithInverseEList.Unsettable.ManyInverse, EObjectWithInverseResolvingEList, EObjectWithInverseResolvingEList.ManyInverse, EObjectWithInverseResolvingEList.Unsettable, EObjectWithInverseResolvingEList.Unsettable.ManyInverse, EStoreEObjectImpl.EStoreEList, EStoreEObjectImpl.EStoreFeatureMap, FeatureMapUtil.FeatureEList, FeatureMapUtil.FeatureEList.Basic, FeatureMapUtil.FeatureFeatureMap

Enclosing interface:
  InternalEList<E>

    public static interface InternalEList.Unsettable<E>

extends InternalEList<E>

Additional API for unsettable lists.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Method Summary
`boolean` `isSet()` Returns whether a value is held by the feature of the object.
`void` `unset()` Unsets the value held by the feature of the object.

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addUnique, addUnique, basicAdd, basicGet, basicIterator, basicList, basicListIterator, basicListIterator, basicRemove, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### isSet

    boolean isSet()

  Returns whether a value is held by the feature of the object.

  Returns:
    whether a value is held by the feature of the object.
  See Also:
    `EObject.eIsSet(org.eclipse.emf.ecore.EStructuralFeature)`

### unset

    void unset()

  Unsets the value held by the feature of the object.

  See Also:
    `EObject.eUnset(org.eclipse.emf.ecore.EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.